## GDataDocumentsPresentation

GDataDocumentsPresentation — GData documents presentation object

## Stability Level

Unstable, unless otherwise indicated

## Functions

GDataDocumentsPresentation * | gdata_documents_presentation_new ()

## Types and Values

#define | GDATA_DOCUMENTS_PRESENTATION_PDF
#define | GDATA_DOCUMENTS_PRESENTATION_PNG
#define | GDATA_DOCUMENTS_PRESENTATION_PPT
#define | GDATA_DOCUMENTS_PRESENTATION_SWF
#define | GDATA_DOCUMENTS_PRESENTATION_TXT
| GDataDocumentsPresentation
| GDataDocumentsPresentationClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataDocumentsEntry
                    ╰── GDataDocumentsDocument
                        ╰── GDataDocumentsPresentation

## Implemented Interfaces

GDataDocumentsPresentation implements GDataAccessHandler.

## Includes

    #include <gdata/services/documents/gdata-documents-presentation.h>

## Description

GDataDocumentsPresentation is a subclass of GDataDocumentsDocument to represent a Google Documents presentation.

For more details of Google Documents' GData API, see the

online documentation.

## Functions

### gdata_documents_presentation_new ()

    GDataDocumentsPresentation *
    gdata_documents_presentation_new (const gchar *id);

Creates a new GDataDocumentsPresentation with the given entry ID (“id”).

#### Parameters

id | the entry's ID (not the document ID of the presentation), or `NULL`. | [allow-none]

#### Returns

a new GDataDocumentsPresentation, or `NULL`; unref with `g_object_unref()`.

[transfer full]

Since 0.4.0

## Types and Values

### GDATA_DOCUMENTS_PRESENTATION_PDF

    #define GDATA_DOCUMENTS_PRESENTATION_PDF "pdf"

The export format for Portable Document Format (PDF).

For more information, see the

GData protocol specification.

Since 0.7.0

### GDATA_DOCUMENTS_PRESENTATION_PNG

    #define GDATA_DOCUMENTS_PRESENTATION_PNG "png"

The export format for Portable Network Graphics (PNG) image format.

For more information, see the

GData protocol specification.

Since 0.7.0

### GDATA_DOCUMENTS_PRESENTATION_PPT

    #define GDATA_DOCUMENTS_PRESENTATION_PPT "ppt"

The export format for Microsoft PowerPoint (PPT) format.

For more information, see the

GData protocol specification.

Since 0.7.0

### GDATA_DOCUMENTS_PRESENTATION_SWF

    #define GDATA_DOCUMENTS_PRESENTATION_SWF "swf"

`GDATA_DOCUMENTS_PRESENTATION_SWF` is deprecated and should not be used in newly-written code.

SWF export has been deprecated in the protocol due to low demand for it; PDF export (using `GDATA_DOCUMENTS_PRESENTATION_PDF`) is recommended instead. (Since: 0.11.0.)

The export format for Adobe Flash (SWF) format.

For more information, see the

GData protocol specification.

Since 0.7.0

### GDATA_DOCUMENTS_PRESENTATION_TXT

    #define GDATA_DOCUMENTS_PRESENTATION_TXT "txt"

`GDATA_DOCUMENTS_PRESENTATION_TXT` is deprecated and should not be used in newly-written code.

The export format for plain text format.

For more information, see the

GData protocol specification.

Since 0.7.0

### GDataDocumentsPresentation

    typedef struct _GDataDocumentsPresentation GDataDocumentsPresentation;

All the fields in the GDataDocumentsPresentation structure are private and should never be accessed directly.

Since 0.4.0

### GDataDocumentsPresentationClass

    typedef struct {
    } GDataDocumentsPresentationClass;

All the fields in the GDataDocumentsPresentationClass structure are private and should never be accessed directly.

Since 0.4.0